1 Reply Latest reply on Feb 19, 2003 7:54 PM by Dennis Cartier

    JBoss 3.0.x and IBM jdk solved?

    Antonio Da Silva Newbie

      Hi,

      like some of you , I cannot run latest jboss (3.0.6) with the jdk from IBM ( 1.3.1 ) on my linux box.

      After reading the bug database in sourceforge , i found an interesting submission :

      http://sourceforge.net/tracker/index.php?func=detail&aid=568037&group_id=22866&atid=376685

      posted on last december.


      After looking original article in Jboss forum, I found it at:

      http://jboss.org/forums/thread.jsp?forum=61&thread=24440&message=3753624

      I tested the patch this morning ( only one class to modify : org.jboss.mx.loading.UnifiedClassLoader )
      and recompile all JBoss distribution using IBM jdk, and it looks running fine now.

      No ZipException, no AbtractMethodError on org/jboss/deployment/scanner/AbstractDeploymentScanner.scan

      Thanks to Scott Dossey for his patch


      NioTo